Applicant

Last updated: 22 Oct 2026

Integrate with PageUp's Applicant API to streamline your hiring workflow!


Contents

  1. Overview
  2. Requesting API Credentials
  3. Before you begin
  4. URL format

Overview

The Applicant API allows you to manipulate applicants. It provides the following capabilities:

  • Create an Applicant
  • Retrieve an Applicant with an email
  • Check if an Applicant exists with an email
  • Update an existing Applicant
  • Set flags for an Applicant

Requesting API Credentials

For information on how to obtain API credentials and to start integrating with the API, please visit the Getting started page.


Before you begin

To begin using any of the APIs, there are a few things that you will need:

  1. Authentication credentials for the particular PageUp Customer/Client
  2. You will need a valid (oAuth) JWT token to authorize yourself to access the end points in this API section. When requesting the bearer token with the authentication service please ensure you include the appropriate scope in the authentication request. Multiple scopes may be requested by specifying them as space separated list. The available scopes for the endpoints in this page are:
  • Public.Applicant.Read
  • Public.Applicant.Write

Requesting the oAuth token with the appropriate scope (e.g. 'Public.Applicant.Read') will allow you to use that token for calls against the respective functions that use that scope (e.g. GET /api/applicant/). See the implementation notes under each endpoint below to see which scope is needed for each endpoint.


URL Format

https://<environment>.<dataCentreId>.pageuppeople.com/v3/<tenantId>/recruitment/applicant/...

The environment, data centre and tenant Id are described on the Base URLs page.

Example - connect to the 218 production environment on dc2

https://api.dc2.pageuppeople.com/v3/218/recruitment/applicant/...